# ERA: Eigensystem Realization Algorithm

This library provides a Python implementation of the **Eigensystem Realization Algorithm (ERA)**, a data-driven system identification method used to derive state-space models from input-output data. ERA is widely used in control theory, modal analysis, and modeling of dynamical systems.

## 🚀 Features

- Construct Markov parameters from time-series data
- Build Hankel matrices from input/output sequences
- Compute reduced-order state-space models
- Supports Singular Value Decomposition (SVD)-based model reduction
- Clean NumPy and SciPy-based implementation

## 📦 Installation

You can install the package locally using:

```bash
pip install -e .
